> ## Documentation Index
> Fetch the complete documentation index at: https://docs.illumiatech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Cardholder

> Finds the cardholder using the provided query parameter. A query parameter must be provided to identify the cardholder.



## OpenAPI

````yaml /api-reference/idx/atlas-spec-instmgmt-lookup/1.0/idx-instmgmt-lookup.json get /cardholders/find
openapi: 3.0.3
info:
  title: Institution Management Lookup API - 1.0
  version: '1.0'
  description: Lookup operations available for institution integration.
  contact:
    name: Transact Campus
    url: https://www.transactcampus.com/
    email: no-reply@transactcampus.com
  termsOfService: TBD
  license:
    name: ISC
    url: https://www.transactcampus.com
servers:
  - url: https://api.transactcampus.com/idx/institution-management/lookups/v1
    description: Prod
  - description: UAT
    url: https://api-uat.transactsp.net/idx/institution-management/lookups/v1
security:
  - ApimKey: []
tags:
  - name: Cardholder
    description: The cardholder tag
paths:
  /cardholders/find:
    parameters: []
    get:
      tags:
        - Cardholder
      summary: Find Cardholder
      description: >-
        Finds the cardholder using the provided query parameter. A query
        parameter must be provided to identify the cardholder.
      operationId: find-cardholder
      parameters:
        - schema:
            type: string
            pattern: ^[0-9a-zA-Z]{1,16}$
          in: query
          name: customerId
          description: External entity identifier from the institution's system of record.
      responses:
        '200':
          description: The cardholder response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/cardholder-model'
              examples:
                Example 1:
                  value:
                    id: 694e4f30-a312-4dee-b21d-d45a0185496d
                    customerId: d269f79c7qvel080
                    lastName: Miller
                    firstName: Thomas
                    middleName: Matthew
                    preferredName: Tom
        '400':
          $ref: '#/components/responses/error-response'
        '401':
          $ref: '#/components/responses/error-response'
        '403':
          $ref: '#/components/responses/error-response'
        '404':
          $ref: '#/components/responses/error-response'
        '429':
          $ref: '#/components/responses/error-response'
        '500':
          $ref: '#/components/responses/500-error-response'
components:
  schemas:
    cardholder-model:
      title: Cardholder
      type: object
      additionalProperties: false
      description: The cardholder model
      required:
        - id
        - customerId
        - lastName
      properties:
        id:
          type: string
          description: The cardholder identifier in UUID format.
          format: uuid
        customerId:
          pattern: ^[0-9a-zA-Z]{1,16}$
          type: string
          description: External entity identifier from the institution's system of record.
          maxLength: 16
        lastName:
          type: string
          description: The last name of the cardholder.
          maxLength: 255
        firstName:
          type: string
          description: The first name of the cardholder.
          maxLength: 255
        middleName:
          type: string
          description: The middle name of the cardholder.
          maxLength: 255
        preferredName:
          type: string
          description: The cardholder's preferred name.
          maxLength: 255
      x-examples:
        Example 1:
          id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
          customerId: d269f79c7qvel080
          lastName: Miller
          firstName: Thomas
          middleName: Matthew
          preferredName: Tom
    error-response-model:
      title: Error Response
      description: The error response model.
      type: object
      additionalProperties: false
      required:
        - errors
      properties:
        errors:
          type: array
          description: The list of errors.
          minItems: 1
          items:
            type: object
            additionalProperties: false
            required:
              - errorCode
              - errorMessage
            properties:
              errorCode:
                type: string
                description: The error code describing the failure.
              errorMessage:
                type: string
                description: The error message providing the error details.
              source:
                type: object
                additionalProperties: false
                description: The source of the error.
                properties:
                  pathParameter:
                    type: string
                    description: The path parameter causing the error.
                  queryParameter:
                    type: string
                    description: The query parameter causing the error.
                  header:
                    type: string
                    description: The header causing the error.
                  field:
                    type: string
                    description: The field causing the error.
                  dependentResource:
                    type: string
                    description: The dependent resource causing the error.
              moreInfo:
                type: string
                description: More information about the error.
  responses:
    error-response:
      description: An error occurred. See error information for details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error-response-model'
    500-error-response:
      description: An unexpected internal error occurred.
      content: {}
  securitySchemes:
    ApimKey:
      name: Ocp-Apim-Subscription-Key
      type: apiKey
      in: header
      description: The APIM subscription key.

````